Bug 313321 - xfig: use xdg-open instead of htmlview and hardwired apps
xfig: use xdg-open instead of htmlview and hardwired apps
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xfig (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-30 17:30 EDT by Ville Skyttä
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-05 08:33:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Use xdg-open instead of htmlview, other hardwired apps (2.36 KB, patch)
2007-09-30 17:30 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2007-09-30 17:30:32 EDT
The attached patch makes xfig use xdg-open, benefits:
- No hardcoded apps or dependencies
- Lighter dependency chain than htmlview for HTML parts
- Groks KDE and XFCE settings in addition to GNOME

I'm not 100% sure about the image_editor part - it says "editor" but xdg-open
will pretty likely open a viewer.  But that's no worse than opening "display"
which is only a viewer too AFAIK.
Comment 1 Ville Skyttä 2007-09-30 17:30:32 EDT
Created attachment 211931 [details]
Use xdg-open instead of htmlview, other hardwired apps
Comment 2 Ngo Than 2007-10-05 08:33:05 EDT
it's fixed in rawhide. Thanks

Note You need to log in before you can comment on or make changes to this bug.